WordPress.org

Ready to get started?Download WordPress

Forums

Real Estate Website Builder
[resolved] Are you hardcoding to: wp-content/plugins ? (13 posts)

  1. RonDsy
    Blocked
    Posted 1 year ago #

    I think this error is in response to hardcoding to the default WP folder: wp-content. I suggest that plugin developers not assume that wp-content will always be the default for every install.

    Error: wp-content/plugins/placester/blueprint/blueprint.php on line 357

    Plugin unusable. :(

    http://wordpress.org/extend/plugins/placester/

  2. RonDsy
    Blocked
    Posted 1 year ago #

    Revised: the plugin throws all kinds of errors on a clean install of WP with the defaults folder. Perhaps not 3.5 compatible.

    Errors: Fatal error: require_once() [function.require]: Failed opening required 'PLS_FUNCTIONS_DIR/core.php' (include_path='.:/usr/lib/php5')

  3. Placester Inc.
    Member
    Plugin Author

    Posted 1 year ago #

    Hey RonDsy,

    Our plugin is WordPress 3.5.1 compatible and there is no wp-content folder hardcoded anywhere in the source code. Please let us know if you want to address any maintenance or installation concerns and we would be happy to assist in any possible way.

  4. daddymann
    Member
    Posted 1 year ago #

    Getting the same as RonDsy and cannot do anything on my site unless I delete the placester folder. Site is new install and server is up-to-date

  5. daddymann
    Member
    Posted 1 year ago #

    Just so you see here is the exact error when activating the plugin

    Warning: Placester_Blueprint::require_once(PLS_FUNCTIONS_DIR/core.php) [placester-blueprint.require-once]: failed to open stream: No such file or directory in /www/wordpress/wp-content/plugins/placester/blueprint/blueprint.php on line 357

    Fatal error: Placester_Blueprint::require_once() [function.require]: Failed opening required 'PLS_FUNCTIONS_DIR/core.php' (include_path='.:/usr/share/php:/usr/share/pear') in /www/wordpress/wp-content/plugins/placester/blueprint/blueprint.php on line 357

  6. RonDsy
    Blocked
    Posted 1 year ago #

    Possibly Placester is proofing on a local box.

  7. daddymann
    Member
    Posted 1 year ago #

    So that response made no sense to me. Could you please clarify what you are referring to.

  8. RonDsy
    Blocked
    Posted 1 year ago #

    The comment is meant for Placester. Often coders use their local machine for testing, its faster and will not break nor degenerate their WP install. They should use the actual internet remote server for proofing their script and not the local machine.

  9. daddymann
    Member
    Posted 1 year ago #

    Got ya....I see the file that it wants and its located in the functions folder, I believe it may actually be in the coding of the line that they are using "PLS_FUNCTIONS_DIR" as if they have not defined anywhere what that refers to so it cannot see where it needs to go.

  10. Placester Inc.
    Member
    Plugin Author

    Posted 1 year ago #

    RonDsy, daddymann,

    Apparently the defined constant named PLS_FUNCTIONS_DIR is not resolved on your hosts which seems to be a PHP resolution issue. Could you provide more details about your setup - server type/version, PHP version, hosting (if any), additional modules to your server (if any)?

  11. RonDsy
    Blocked
    Posted 1 year ago #

    WordPress Version: 3.5.1
    PHP Version: 5.2.17
    MySQL Version: 5.0.96-1~ui60+1

    PHP cURL Support: Yes
    PHP GD (Image Library) Support: Yes
    PHP Memory Limit: 256M
    PHP Post Max Size: 8M

    No modules or plugin installed when testing.

  12. daddymann
    Member
    Posted 1 year ago #

    WordPress 3.5.1
    MySQL Ver 14.12 Distrib 5.0.51a, for debian-linux-gnu (i486)
    PHP 5.2.6-1+lenny16

    PHP cURL Support: Yes
    PHP GD (Image Library) Support: Yes

    Dont know how this matters since I am running other plugins without any issues at all.

    It looks like it's using a constant in the require_once(), function, is that being set properly?

  13. Placester Inc.
    Member
    Plugin Author

    Posted 1 year ago #

    Hey RonDsy, daddymann,

    Could you test the latest plugin version? There are improvements for several PHP versions and updated environment as well.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags